<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVersion Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : GetVersion Method (IEdmVault5)

Visual Basic
C#
C++/CLI

plMajor
  Major version number

plMinor
  Minor version number

Gets the version of SOLIDWORKS PDM Professional that is installed on this machine.

# Syntax

Visual Basic |
--- | ---

    Sub GetVersion( _
       ByRef plMajor As System.Integer, _
       ByRef plMinor As System.Integer _
    )

C# |
--- | ---

    void GetVersion(
       out System.int plMajor,
       out System.int plMinor
    )

C++/CLI |
--- | ---

    void GetVersion(
    &   [Out] System.int plMajor,
    &   [Out] System.int plMinor
    )

#### Parameters

plMajor
  Major version number
plMinor
  Minor version number

# Example

Log Into Vault and Display Information (C#)
Log Into Vault and Display Information (VB.NET)

# Remarks

You do not need to call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2